// X-Axis
export const AxisBottom = ({
  xScale,
  tickFormat,
  innerHeight,
  tickOffset = 3
}) =>
  xScale.ticks().map((tickValue) => (
    <g
      className="tick"
      key={tickValue}
      transform={`translate(${xScale(tickValue)}, ${0})`}
    >
      <line y2={innerHeight} />
      <text
        style={{ textAnchor: 'middle' }}
        y={innerHeight + tickOffset}
        dy={'.71em'}
      >
        {tickFormat(tickValue)}
      </text>
    </g>
  ));
